Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xml.security.signature
Class SignatureProperty

    java.lang.Object
      org.apache.xml.security.utils.ElementProxy
          org.apache.xml.security.utils.SignatureElementProxy
              org.apache.xml.security.signature.SignatureProperty

    public class SignatureProperty

extends SignatureElementProxy

Handles `<ds:SignatureProperty>` elements Additional information item concerning the generation of the signature(s) can be placed in this Element

Author:
  Christian Geuer-Pollmann

Field Summary

Fields inherited from class org.apache.xml.security.utils.ElementProxy
`baseURI, constructionElement, doc, log`

Constructor Summary
`SignatureProperty(org.w3c.dom.Document doc, java.lang.String target)` Constructs`SignatureProperty` using specified `target` attribute
`SignatureProperty(org.w3c.dom.Document doc, java.lang.String target, java.lang.String id)` Constructs `SignatureProperty` using sepcified `target` attribute and `id` attribute
`SignatureProperty(org.w3c.dom.Element element, java.lang.String BaseURI)` Constructs a `SignatureProperty` from an `Element`

Method Summary
`org.w3c.dom.Node` | `appendChild(org.w3c.dom.Node node)` Method appendChild
`java.lang.String` | `getBaseLocalName()` Returns the localname of the Elements of the sub-class.
`java.lang.String` | `getId()` Returns the `id` attribute
`java.lang.String` | `getTarget()` Returns the `target` attribute
`void` | `setId(java.lang.String id)` Sets the `id` attribute
`void` | `setTarget(java.lang.String target)` Sets the `target` attribute

Methods inherited from class org.apache.xml.security.utils.SignatureElementProxy
`getBaseNamespace`

Methods inherited from class org.apache.xml.security.utils.ElementProxy
`addBase64Element, addBase64Text, addBigIntegerElement, addText, addTextElement, createElementForFamily, createElementForFamilyLocal, getBaseURI, getBigIntegerFromChildElement, getBytesFromChildElement, getBytesFromTextChild, getDefaultPrefix, getDocument, getElement, getElementPlusReturns, getTextFromChildElement, getTextFromTextChild, length, registerDefaultPrefixes, setDefaultPrefix, setElement, setXPathNamespaceContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignatureProperty

    public SignatureProperty(org.w3c.dom.Document doc,
                             java.lang.String target)

  Constructs`SignatureProperty` using specified `target` attribute

  Parameters:
    `doc` - the `Document` in which `XMLsignature` is placed
    `target` - the `target` attribute references the `Signature` element to which the property applies SignatureProperty

### SignatureProperty

    public SignatureProperty(org.w3c.dom.Document doc,
                             java.lang.String target,
                             java.lang.String id)

  Constructs `SignatureProperty` using sepcified `target` attribute and `id` attribute

  Parameters:
    `doc` - the `Document` in which `XMLsignature` is placed
    `target` - the `target` attribute references the `Signature` element to which the property applies
    `id` - the `id` will be specified by `Reference.getURI()` in validation

### SignatureProperty

    public SignatureProperty(org.w3c.dom.Element element,
                             java.lang.String BaseURI)
                      throws XMLSecurityException

  Constructs a `SignatureProperty` from an `Element`

  Parameters:
    `element` - `SignatureProperty` element
    `BaseURI` - the URI of the resource where the XML instance was stored
  Throws:
    `XMLSecurityException`

Method Detail

### setId

    public void setId(java.lang.String id)

  Sets the `id` attribute

  Parameters:
    `id` - the `id` attribute

### getId

    public java.lang.String getId()

  Returns the `id` attribute

  Returns:
    the `id` attribute

### setTarget

    public void setTarget(java.lang.String target)

  Sets the `target` attribute

  Parameters:
    `target` - the `target` attribute

### getTarget

    public java.lang.String getTarget()

  Returns the `target` attribute

  Returns:
    the `target` attribute

### appendChild

    public org.w3c.dom.Node appendChild(org.w3c.dom.Node node)

  Method appendChild

  Parameters:
    `node` -
  Returns:
    the node in this element.

### getBaseLocalName

    public java.lang.String getBaseLocalName()

  Description copied from class: `ElementProxy`
  Returns the localname of the Elements of the sub-class.

  Specified by:
    `getBaseLocalName` in class `ElementProxy`
  Returns:
    the localname of the Elements of the sub-class.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD